clang 8.0.0

Public Member Functions | List of all members
clang::format::FormatTokenSource Class Referenceabstract

## Public Member Functions
virtual | ~FormatTokenSource ()
virtual FormatToken * | getNextToken ()=0
virtual unsigned | getPosition ()=0
virtual FormatToken * | setPosition (unsigned Position)=0

## Detailed Description

Definition at line 28 of file UnwrappedLineParser.cpp.

## Constructor & Destructor Documentation

## ◆ ~FormatTokenSource()

virtual clang::format::FormatTokenSource::~FormatTokenSource | ( |  | ) |
| inline virtual

Definition at line 30 of file UnwrappedLineParser.cpp.

References getNextToken(), getPosition(), and setPosition().

## Member Function Documentation

## ◆ getNextToken()

virtual FormatToken* clang::format::FormatTokenSource::getNextToken | ( |  | ) |
| pure virtual

Referenced by ~FormatTokenSource().

## ◆ getPosition()

virtual unsigned clang::format::FormatTokenSource::getPosition | ( |  | ) |
| pure virtual

Referenced by ~FormatTokenSource().

## ◆ setPosition()

virtual FormatToken* clang::format::FormatTokenSource::setPosition | ( | unsigned | Position | ) |
| pure virtual

Referenced by ~FormatTokenSource().

The documentation for this class was generated from the following file:

- lib/Format/UnwrappedLineParser.cpp